ch.qos.logback.classic.boolex

## Class OnMarkerEvaluator

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.boolex.EventEvaluatorBase<ILoggingEvent>
    - - ch.qos.logback.classic.boolex.OnMarkerEvaluator

All Implemented Interfaces:
  EventEvaluator<ILoggingEvent>, ContextAware, LifeCycle

    public class OnMarkerEvaluator
    extends EventEvaluatorBase<ILoggingEvent>

Evaluates to true when the logging event passed as parameter contains one of the user-specified markers.

Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`OnMarkerEvaluator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMarker(String markerStr)`
`boolean` `evaluate(ILoggingEvent event)` Return true if event passed as parameter contains one of the specified user-markers.

### Methods inherited from class ch.qos.logback.core.boolex.EventEvaluatorBase

`getName, isStarted, setName, start, stop`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### OnMarkerEvaluator

    public OnMarkerEvaluator()

### Method Detail

#### addMarker

    public void addMarker(String markerStr)

#### evaluate

    public boolean evaluate(ILoggingEvent event)
                     throws NullPointerException,
                            EvaluationException

Return true if event passed as parameter contains one of the specified user-markers.

Parameters:
  `event` - The event to evaluate
Returns:
  true if there is a match, false otherwise.
Throws:
  `NullPointerException` - can be thrown in presence of null values
  `EvaluationException` - may be thrown during faulty evaluation